<template>
  <span class="table-cell table-cell--id">{{ id }}</span>
</template>

<script>
// to be revisited: the generated links are not correct
export default {
  name: 'SaTableCellId',
  props: {
    id: {
      type: String,
      required: true
    },
    entityType: {
      type: String,
      default: () => null
    }
  },
  computed: {
    // url() {
    //   if (!this.entityType) {
    //     return `#${this.id}`
    //   }
    //   return `/${this.entityType.toLowerCase()}/${this.id}`
    // }
  }
}
</script>
